Subject: Re: Xilinx Virtex boot

From: Robert Woodworth <[email-masked]>
Date: Thu, 30 Aug 2007 08:44:32 -0600

On Wed, 2007-08-29 at 18:29 -0600, Grant Likely wrote:
> On 8/29/07, Robert Woodworth <[email-masked]> wrote:
> > I'm trying to port Linux to a new Virtex Platform.  The kernel will not
> > uncompress, I get the following on the console:
> >
> > loaded at:     00400000 004FB19C
> > board data at: 004F9120 004F919C
> > relocated to:  00404054 004040D0
> > zimage at:     00404E50 004F8409
> > avail ram:     004FC000 04000000
> >
> > Linux/PPC load: console=ttyUL root=/dev/xsa2
> > Uncompressing Linux...
> > zlib_inflateInit2 returned 00506530
> > exit
> >
> > Any ideas what causes this error??
> > Is something mis-configured on my EDK project?
> >
> 
> Possibly, do you know that EDK has your ram is configured correctly
> (ie. have you run a memory test application)?

Yes, I ran the sample memory test application that EDK builds
automatically.  It ran fine.

The fact that the above prints on the console, tells me that the
zImage.elf is getting loaded at the correct start location and that its
partly executing.

What is the return code that I'm seeing??  I have been unable to figure
that out from the source yet.

> >
> > I have 64MB DDR on the OPB *not* the PLB.
> > Is that a problem??
> 
> It shouldn't be the problem, but why are you doing that?

We are building an image-processing application inside the FPGA.  The
application is very memory intensive.  I have been told that the PPC
always has priority on the PLB and that if I want to have my FPGA module
have priority on memory, that I should place the memory and my FPGA
module on the OPB.  Yes, this can significantly slow down the PPC, but
in my case the PPC is only used for UI and networking.

I will actually build in *two* OPBs one for the memory + my module and
the second for the other peripherals. 

Woody.